------------------------------------------------------------------------------------
--Name：            220317[简体征服][活动脚本]全球周年庆-征服19周年庆-第一阶段（4.19-5.2）
--Creator:      耿力兀
--Created:     2022-03-17
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(115,104)

local effectObj1 =  CppScriptMgr:AddEffect("zf2-e251_coat01",105,106)
local player1 = CppScriptMgr:AddPlayer(190,105,106,"DarkSpirit")
player1:SetDir(5)
CppScriptMgr:WaitMilSec(500)
local effectObj2 =  CppScriptMgr:AddEffect("zf2-e251_coat01",110,111)
local player2 = CppScriptMgr:AddPlayer(178,110,111,"ToxicMantis")
player2:SetDir(4)
CppScriptMgr:WaitMilSec(500)
local effectObj3 =  CppScriptMgr:AddEffect("zf2-e251_coat01",116,117)
local player3 = CppScriptMgr:AddPlayer(433,116,117,"ScorpionQueen")
player3:SetDir(4)
CppScriptMgr:WaitMilSec(500)
local effectObj4 =  CppScriptMgr:AddEffect("zf2-e251_coat01",115,91)
local player4 = CppScriptMgr:AddPlayer(962,115,91,"BlackWidow")
player4:SetDir(1)
CppScriptMgr:WaitMilSec(500)
local effectObj5 =  CppScriptMgr:AddEffect("zf2-e251_coat01",121,96)
local player5 = CppScriptMgr:AddPlayer(432,121,96,"SnakeKing")
player5:SetDir(2)
CppScriptMgr:WaitMilSec(1000)
local effectObj6 =  CppScriptMgr:AddEffect("zf2-e251_coat01",112,100)
local player6 = CppScriptMgr:AddSimplePlayer(1053000,112,100,"HorrorLord",4003000012,1)
player6:SetDir(7)
CppScriptMgr:WaitMilSec(1000)
player1:Say("My lord.",2000)
player2:Say("My lord.",2000)
player3:Say("My lord.",2000)
player4:Say("My lord.",2000)
player5:Say("My lord.",2000)
CppScriptMgr:WaitMilSec(2000)
local effectObj7 =  CppScriptMgr:AddEffect("zf2-e316",128,106)
local player7 = CppScriptMgr:AddSimplePlayer(1055903,128,106,"OrdealLackey",4003000011,1)
player7:SetDir(3)
CppScriptMgr:WaitMilSec(200)
player7:RunTo(109,98);
CppScriptMgr:WaitMilSec(2500)
player7:SetAction(190);
player7:Say("Ordeal Maze has been completed, my lord.",2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj8 =  CppScriptMgr:AddEffect("zf2-e233",103,102)
local effectObj9 =  CppScriptMgr:AddEffect("zf2-e233",108,108)
local effectObj10 =  CppScriptMgr:AddEffect("zf2-e233",114,115)
local effectObj11 =  CppScriptMgr:AddEffect("zf2-e233",112,91)
local effectObj12 =  CppScriptMgr:AddEffect("zf2-e233",121,96)
player1:SetPos(20,30)
player2:SetPos(20,30)
player3:SetPos(20,30)
player4:SetPos(20,30)
player5:SetPos(20,30)
CppScriptMgr:WaitMilSec(2000)
player7:Say("Rulers have entered the maze. It`s show time.",2000)
CppScriptMgr:WaitMilSec(2000)


player6:SetAction(200);
player6:Say("Screams are the best music for Halloween!",2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)

